From 9d29e175216e9088fadfbb0108d7726e5c6b7785 Mon Sep 17 00:00:00 2001
From: "houzj.fnst" <houzj.fnst@cn.fujitsu.com>
Date: Thu, 2 Dec 2021 18:18:59 +0800
Subject: [PATCH] improve the doc for pg_publication_tables

---
 doc/src/sgml/catalogs.sgml | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/doc/src/sgml/catalogs.sgml b/doc/src/sgml/catalogs.sgml
index c1d11be..b2134a9 100644
--- a/doc/src/sgml/catalogs.sgml
+++ b/doc/src/sgml/catalogs.sgml
@@ -11350,6 +11350,16 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
    there will be a row for each eligible table.
   </para>
 
+  <para>
+   For publications of partitioned tables with
+   <literal>publish_via_partition_root</literal> set to
+   <literal>true</literal>, only the partitioned table (and not its partitions)
+   is included in the view, whereas if
+   <literal>publish_via_partition_root</literal> is set to
+   <literal>false</literal>, only the individual partitions are included in the
+   view.
+  </para>
+
   <table>
    <title><structname>pg_publication_tables</structname> Columns</title>
    <tgroup cols="1">
-- 
2.7.2.windows.1

